Subject: Re: bug#49077: 26.3; conf-mode for Java properties files uses incorrect comment syntax

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 16 Jul 2022 14:15:21 +0200

Spencer Nelson <[email-masked]> writes:

> The documenting comment for conf-javaprop-mode says this:
>
> "Conf Mode starter for Java properties files.
> Comments start with `#' but are also recognized with `//' or
> between `/*' and `*/'.
> For details see `conf-mode'.  Example:
>
> # Conf mode font-locks this right with \\[conf-javaprop-mode] (Java properties)
> // another kind of comment
> /* yet another */
>
> But // and /* don't start comments in Java properties files. Java
> properties files just have single-line comments starting with #.
> Somewhat obscurely, comments can also start with !.

I thought this should be easy to fix, but I'm not at all sure where the
font-locking of // and /* */ is coming from.  I feel like I've looked at
all the font-lock-* variables, but I can't find anything.

Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no